﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Media.Imaging;
using Infragistics.Controls.Editors;

namespace InfragisticsSliderIssue
{
    /// <summary>
    /// Numeric thumb for a slider with image
    /// </summary>
    public class NewSliderThumb : XamSliderNumericThumb
    {
        /// <summary>
        /// Thumb Image dependency property
        /// </summary>
        public static readonly DependencyProperty ThumbImageProperty = DependencyProperty.Register("ThumbImage", typeof(BitmapImage), typeof(NewSliderThumb));

        /// <summary>
        /// Gets or sets the thumb image.
        /// </summary>
        /// <value>The thumb image.</value>
        public BitmapImage ThumbImage
        {
            get
            {
                return (BitmapImage)GetValue(ThumbImageProperty);
            }
            set
            {
                SetValue(ThumbImageProperty, value);
            }
        }
    }
}
